/*
  Graphical IDF Wizard
  Copyright (C) 1998,1999,2002,2005,2010 David Martnez Oliveira

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
  
 */

#ifndef PREFERENCES_FORM_H
#define PREFERENCES_FORM_H

#include <gtk/gtk.h>
#include <edma.h>

#define MAX_BUILDERS 64

typedef EChar  ID[256];

typedef struct pref_widgets
{
  GtkWidget       *table;
  GtkWidget       *Author;
  GtkWidget       *Date;
  GtkWidget       *TargetDir;
  GtkWidget       *BrowseTargetDir;
  GtkWidget       *builder_des;
  GtkWidget       *but;
  GList           *builders;
  EUint32         n;
  ID              cn[MAX_BUILDERS];
  ID              des[MAX_BUILDERS];
  GtkWidget       *fs;
  // Functions
  ESint32         (*build_form)(struct pref_widgets *,GtkWidget *);
} PrefWidgets;

ESint32 InitPrefForm (PrefWidgets *gw);
ESint32 BuildPrefForm (PrefWidgets *gw,GtkWidget *note);


#endif



